%define	upstream_name	 IO-AIO
%define upstream_version 4.34

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Asynchronous Input/Output
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Canary::Stability) >= 2001.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(common::sense)
BuildRequires: db5.3-devel
BuildRequires: gdbm-devel
BuildRequires: perl-devel
Requires:   perl(common::sense)
%{?perl_default_filter}

%description
This module implements asynchronous I/O using whatever means your operating
system supports.

Currently, a number of threads are started that execute your read/writes and
signal their completion. You don't need thread support in your libc or perl,
and the threads created by this module will not be visible to the pthreads
library. In the future, this module might make use of the native aio functions
available on many operating systems. However, they are often not well-supported
(Linux doesn't allow them on normal files currently, for example), and they
would only support aio_read and aio_write, so the remaining functionality would
have to be implemented using threads anyway.

Although the module will work with in the presence of other threads, it is
currently not reentrant, so use appropriate locking yourself, always call
poll_cb from within the same thread, or never call poll_cb (or other aio_
functions) recursively.

After creating a new Gtk2::Ex::Simple::List object with the desired columns you
may set the list data with a simple Perl array assignment. Rows may be added or
deleted with all of the normal array operations. You can treat the data member
of the Simple::List object as an array reference, and manipulate the list data
with perl's normal array operators.

A mechanism has also been put into place allowing columns to be Perl scalars.
The scalar is converted to text through Perl's normal mechanisms and then
displayed in the list. This same mechanism can be expanded by defining
arbitrary new column types before calling the new function.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="$RPM_OPT_FLAGS"

%check
%{__make} test

%install
%makeinstall_std

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{_bindir}/treescan
%{perl_vendorarch}/IO
%{perl_vendorarch}/auto/IO

%changelog
* Sun May 08 2016 shlomif <shlomif> 4.340.0-1.mga6
+ Revision: 1010671
- update to 4.34

* Fri Apr 15 2016 shlomif <shlomif> 4.330.0-1.mga6
+ Revision: 1001991
- New version 4.33

* Fri Feb 12 2016 umeabot <umeabot> 4.320.0-2.mga6
+ Revision: 957543
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 4.320.0-1.mga6
+ Revision: 843134
- update to 4.32

* Sun Oct 19 2014 umeabot <umeabot> 4.310.0-5.mga5
+ Revision: 790017
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 4.310.0-4.mga5
+ Revision: 747899
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 4.310.0-3.mga5
+ Revision: 732297
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 4.310.0-2.mga5
+ Revision: 685045
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 sander85 <sander85> 4.310.0-1.mga5
+ Revision: 633041
- update to 4.31

* Tue Jun 03 2014 pterjan <pterjan> 4.300.0-2.mga5
+ Revision: 631289
- Rebuild for perl 5.20

* Thu Apr 17 2014 jquelin <jquelin> 4.300.0-1.mga5
+ Revision: 615395
- update to 4.3

* Thu Feb 13 2014 jquelin <jquelin> 4.200.0-1.mga5
+ Revision: 590748
- update to 4.2

* Sat Oct 19 2013 umeabot <umeabot> 4.180.0-4.mga4
+ Revision: 524354
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 4.180.0-3.mga4
+ Revision: 430759
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.180.0-2.mga3
+ Revision: 368434
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 4.180.0-1.mga3
+ Revision: 306552
- update to 4.18

* Fri Aug 24 2012 pterjan <pterjan> 4.150.0-2.mga3
+ Revision: 283462
- Rebuild for new perl

* Tue Jun 05 2012 jquelin <jquelin> 4.150.0-1.mga3
+ Revision: 255027
- update to 4.15

* Wed May 30 2012 jquelin <jquelin> 4.120.0-2.mga3
+ Revision: 250782
- rebuild for perl 5.16

* Wed Jan 04 2012 jquelin <jquelin> 4.120.0-1.mga2
+ Revision: 190316
- update to 4.12

* Fri Oct 14 2011 jquelin <jquelin> 4.110.0-1.mga2
+ Revision: 154787
- update to 4.11
- update to 4.0

* Thu Jun 30 2011 jquelin <jquelin> 3.930.0-1.mga2
+ Revision: 116426
- update to 3.93

* Wed Jun 15 2011 jquelin <jquelin> 3.900.0-1.mga2
+ Revision: 106993
- update to 3.9

* Sat Jun 11 2011 sander85 <sander85> 3.800.0-2.mga2
+ Revision: 103771
- perl 5.14

* Mon Apr 04 2011 jquelin <jquelin> 3.800.0-1.mga1
+ Revision: 80362
- update to 3.8

* Tue Jan 18 2011 jquelin <jquelin> 3.710.0-1.mga1
+ Revision: 23169
- use meta.yml
- clean spec file
- imported package perl-IO-AIO

